aboutsummaryrefslogtreecommitdiffstats
path: root/RHEL8-wsl.sh
diff options
context:
space:
mode:
authorGerd Hoffmann <kraxel@redhat.com>2019-08-14 16:57:31 +0200
committerGerd Hoffmann <kraxel@redhat.com>2019-08-14 16:57:31 +0200
commit6307355bdd3fb472ae3f3134fe5b5dbc11292e80 (patch)
tree1c3d03ba9e868e3e187ee04aff258d9900c74e69 /RHEL8-wsl.sh
parent02427b473a57561304732715e2b02e7b06615c97 (diff)
downloadimagefish-6307355bdd3fb472ae3f3134fe5b5dbc11292e80.tar.gz
add scripts for wsl --import tarballs
Diffstat (limited to 'RHEL8-wsl.sh')
-rwxr-xr-xRHEL8-wsl.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/RHEL8-wsl.sh b/RHEL8-wsl.sh
new file mode 100755
index 0000000..27369c3
--- /dev/null
+++ b/RHEL8-wsl.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+vers="$1"
+name="rhel-${vers}-wsl"
+repo="/mort/mirror/rhel/repo/el8/spunk-RHEL-${vers}-BaseOS.repo"
+rpms="-kernel* -microcode_ctl"
+
+tar="${IMAGEFISH_DESTDIR-.}/${name}.tar"
+
+echo ""
+echo "###"
+echo "### $name"
+echo "###"
+echo "### $rpms"
+echo "###"
+
+set -ex
+rm -f "$tar"
+scripts/install-redhat.sh --config "$repo" --tar "$tar" --packages "$rpms" --kernel "" --dnf